---
type: api
title: Migrate Elasticsearch resource to use SLM
description: Migrates the specified Elasticsearch resource to use SLM.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-enable-deployment-resource-slm
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-enable-deployment-resource-slm
products:
  - Elastic Cloud Enterprise
---

# Migrate Elasticsearch resource to use SLM

## Paths

- `POST` `/deployments/{deployment_id}/elasticsearch/{ref_id}/_enable-slm`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#apikey)

#### Path Parameters

- `deployment_id` (string)
  Identifier for the Deployment.
- `ref_id` (string)
  User-specified RefId for the Resource (or '_main' if there is only one).

## Description

Migrates the specified Elasticsearch resource to use SLM.

## Query String Parameters

- `validate_only` (boolean · default: false)
  When `true`, does not enable SLM but returns warnings if any applications may lose availability during SLM migration.

## Responses

#### `200`

Standard response

`application/json`

- `warnings` ([] ReplyWarning)
  List of warnings generated from validating command
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the warning that occurred
#### `404`

* The Deployment specified by {deployment_id} cannot be found. (code: `deployments.deployment_not_found`)
* The Resource specified by {ref_id} cannot be found. (code: `deployments.deployment_resource_not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `500`

We have failed you. (code: `deployments.deployment_resource_no_longer_exists`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
POST /deployments/{deployment_id}/elasticsearch/{ref_id}/_enable-slm
```

#### curl

```curl
curl -X POST "/deployments/{deployment_id}/elasticsearch/{ref_id}/_enable-slm"
```

